<?xml version="1.0" encoding="UTF-8" standalone="no"?><xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:typy="http://www.mf.gov.pl/xsd/aesais/typy" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.mf.gov.pl/xsd/aesais/typy">

  <xs:simpleType name="DataType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">d</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">d</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:date">
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="DataCzasType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">dt</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">dt</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:dateTime">
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="LogicznyType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">b</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">b</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:boolean">
      <xs:pattern value="0|1"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String1Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..1</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..1</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="1"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String2Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..2</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..2</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="2"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String3Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..3</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..3</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="3"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String4Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..4</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..4</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="4"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String5Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..5</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..5</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="5"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String6Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..6</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..6</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="6"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String7Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..7</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..7</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="7"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String8Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..8</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..8</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="8"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String9Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..9</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..9</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="9"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String10Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..10</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..10</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="10"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String12Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..12</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..12</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="12"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String14Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..14</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..14</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="14"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String15Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..15</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..15</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="15"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String17Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..17</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..17</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="17"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String18Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..18</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..18</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="18"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String20Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..20</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..20</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="20"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String21Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..21</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..21</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="21"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String22Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..22</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..22</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="22"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String24Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..24</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..24</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="25"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String25Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..25</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..25</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="25"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String27Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..27</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..27</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="27"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String30Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..30</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..30</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="30"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String35Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..35</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..35</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="35"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String40Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..40</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..40</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="40"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String42Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..42</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..42</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="42"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String50Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..50</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..50</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="50"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String64Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..64</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..64</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="64"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String70Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..70</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..70</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="70"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String100Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..100</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..100</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="100"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String123Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..123</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..123</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="123"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String140Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..140</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..140</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="140"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String255Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..255</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..255</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="255"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String256Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..256</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..256</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="256"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String260Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..260</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..260</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="260"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String280Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..280</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..280</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="280"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String350Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..350</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..350</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="350"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String512Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..512</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..512</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="512"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String1000Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..1000</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..1000</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="1000"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String1024Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..1024</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..1024</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="1024"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String2000Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..2000</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..2000</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="2000"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="String10000Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..10000</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..10000</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:maxLength value="10000"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="StringL1Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z1</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z1</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:length value="1"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="StringL2Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z2</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z2</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:length value="2"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="StringL3Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z3</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z3</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:length value="3"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="StringL4Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z4</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z4</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:length value="4"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="StringL5Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z5</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z5</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:length value="5"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="StringL6Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z6</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z6</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:length value="6"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="StringL8Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z8</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z8</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:length value="8"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="StringL10Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z10</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z10</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:length value="10"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="StringL11Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z11</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z11</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:length value="11"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="StringL14Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z14</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z14</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:length value="14"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="StringL18Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z18</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z18</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:length value="18"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="StringL19Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z19</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z19</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:length value="19"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="StringL22Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z22</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z22</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:length value="22"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="StringL25Type">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z25</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z25</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:string">
      <xs:length value="25"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Int1DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n1,0</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n1,0</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:int">
      <xs:totalDigits value="1"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Int2DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n2,0</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n2,0</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:int">
      <xs:totalDigits value="2"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Int3DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n3,0</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n3,0</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:int">
      <xs:totalDigits value="3"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Int4DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n4,0</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n4,0</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:int">
      <xs:totalDigits value="4"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Int5DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n5,0</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n5,0</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:int">
      <xs:totalDigits value="5"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Int6DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n6,0</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n6,0</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:int">
      <xs:totalDigits value="6"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Int7DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n7,0</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n7,0</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:int">
      <xs:totalDigits value="7"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Int8DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n8,0</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n8,0</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:int">
      <xs:totalDigits value="8"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Int11DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n11,0</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n11,0</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:long">
      <xs:totalDigits value="11"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Int12DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n12,0</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n12,0</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:long">
      <xs:totalDigits value="12"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Int15DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n15,0</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n15,0</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:long">
      <xs:totalDigits value="15"/>
    </xs:restriction>
  </xs:simpleType>
  
  <xs:simpleType name="Int1To8DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n..8</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n..8</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:int">
      <xs:minInclusive value="0"/>
      <xs:maxExclusive value="100000000"/>
    </xs:restriction>
  </xs:simpleType>
  
  <xs:simpleType name="Float11.3DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n11,3</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n11,3</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:decimal">
      <xs:totalDigits value="11"/>
      <xs:fractionDigits value="3"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Float12.5DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n12,5</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n12,5</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:decimal">
      <xs:totalDigits value="12"/>
      <xs:fractionDigits value="5"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Float14.4DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n15,2</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n15,2</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:decimal">
      <xs:totalDigits value="14"/>
      <xs:fractionDigits value="4"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Float15.2DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n15,2</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n15,2</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:decimal">
      <xs:totalDigits value="15"/>
      <xs:fractionDigits value="2"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Float15.3DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n15,3</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n15,3</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:decimal">
      <xs:totalDigits value="15"/>
      <xs:fractionDigits value="3"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Float15.6DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n15,6</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n15,6</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:decimal">
      <xs:totalDigits value="15"/>
      <xs:fractionDigits value="6"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Float16.2DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n16,2</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n16,2</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:decimal">
      <xs:totalDigits value="16"/>
      <xs:fractionDigits value="2"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Float16.6DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n16,6</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n16,6</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:decimal">
      <xs:totalDigits value="16"/>
      <xs:fractionDigits value="6"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:simpleType name="Float17.2DigitType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">n17,2</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">n17,2</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:decimal">
      <xs:totalDigits value="17"/>
      <xs:fractionDigits value="2"/>
    </xs:restriction>
  </xs:simpleType>
  
  <xs:simpleType name="NrWlasnyType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z..22</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z..22</xs:documentation>
    </xs:annotation>
    <!-- !!! przy zmianach typu NrWlasny trzeba pamiętać o zmianie opisu typu powyżej !!! -->
  	<xs:restriction base="typy:String22Type"/>
  </xs:simpleType>

  <xs:simpleType name="KodWalutyType">
    <xs:annotation>
      <xs:documentation source="doc" xml:lang="pl">z3</xs:documentation>
      <xs:documentation source="doc" xml:lang="en">z3</xs:documentation>
    </xs:annotation>
    <!-- !!! przy zmianach typu trzeba pamiętać o zmianie opisu typu powyżej !!! -->
    <xs:restriction base="typy:StringL3Type"/>
  </xs:simpleType>

</xs:schema>